﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfApplication7
{
    public enum Statuses
    {
        Red,
        Yellow,
        Blue
    }
    public class Data:INotifyPropertyChanged
    {
        private Statuses status;
        public Statuses Status
        {
            get { return status; }
            set 
            { 
                status = value;
                NotifyPropertyChanged("Status");
            }
        }

        public Data(Statuses s)
        {
            this.status = s;
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

        #endregion
    }
}
