﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using Infragistics.Windows.Editors;

namespace WpfApplication7
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        BindingList<Data> list;
        public Window1()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(Window1_Loaded);
        }

        void Window1_Loaded(object sender, RoutedEventArgs e)
        {
            ComboBoxItemsProvider pr = new ComboBoxItemsProvider();
            pr.ItemsSource = Enum.GetValues(typeof(Statuses));
            xamDataGrid1.Resources.Add("provider", pr);

            list = new BindingList<Data>()
            {
                new Data(Statuses.Blue),
                new Data(Statuses.Red),
                new Data(Statuses.Yellow),
                new Data(Statuses.Red)
            };
            xamDataGrid1.DataSource = list;
        }
    }
}
